# BEGIN SourceDeps(oneline):
BuildRequires: perl(Catalyst/Component/InstancePerContext.pm) perl(Catalyst/View.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON/MaybeXS.pm) perl(List/Util.pm) perl(Moose.pm) perl(MooseX/Clone.pm) perl(Path/Tiny.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Types/Standard.pm) perl(namespace/autoclean.pm) perl(Cpanel/JSON/XS.pm) perl(JSON/PP.pm) perl(JSON/XS.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name Catalyst-View-Vega
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: A Catalyst view for pre-processing Vega specs
Group: Development/Perl
License: perl
URL: https://github.com/MullinsLab/Catalyst-View-Vega

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TS/TSIBLEY/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This class lets you bind data to the datasets declared in a
Vega spec and output the spec with the bound
data inlined.  This is useful for inlining data dynamically without using a
templating library.  Inlining data reduces request overhead and creates
standalone Vega specs which can be rendered as easily offline as they are
online.

A new instance of this view is created for each request, so it is safe to set
attributes and use the view's API in multiple controllers or actions.  Each new
view instance is based on the application's global instance of the view so that
initial attribute values are from your application config.
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/C*

%changelog
* Sun Jun 05 2016 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

